package opc.ua.services.sets;

import opc.ua.services.common.BrowseResult;
import opc.ua.services.common.ContinuationPoint;
import opc.ua.services.common.DiagnosticInfo;
import opc.ua.services.common.RequestHeader;
import opc.ua.services.common.ResponseHeader;

public class BrowseNext {

	/**
	 * request
	 */
	private RequestHeader requestHeader;
	private boolean releaseContinuationPoints;
	private ContinuationPoint[] continuationPoints;
	
	/**
	 * response
	 */
	private ResponseHeader responseHeader;
	private BrowseResult[] browseResults;
	private DiagnosticInfo[] diagnosticInfos;

	
	public RequestHeader getRequestHeader() {
		return requestHeader;
	}
	public void setRequestHeader(RequestHeader requestHeader) {
		this.requestHeader = requestHeader;
	}
	public boolean isReleaseContinuationPoints() {
		return releaseContinuationPoints;
	}
	public void setReleaseContinuationPoints(boolean releaseContinuationPoints) {
		this.releaseContinuationPoints = releaseContinuationPoints;
	}
	public ContinuationPoint[] getContinuationPoints() {
		return continuationPoints;
	}
	public void setContinuationPoints(ContinuationPoint[] continuationPoints) {
		this.continuationPoints = continuationPoints;
	}
	public ResponseHeader getResponseHeader() {
		return responseHeader;
	}
	public void setResponseHeader(ResponseHeader responseHeader) {
		this.responseHeader = responseHeader;
	}
	public BrowseResult[] getBrowseResults() {
		return browseResults;
	}
	public void setBrowseResults(BrowseResult[] browseResults) {
		this.browseResults = browseResults;
	}
	public DiagnosticInfo[] getDiagnosticInfos() {
		return diagnosticInfos;
	}
	public void setDiagnosticInfos(DiagnosticInfo[] diagnosticInfos) {
		this.diagnosticInfos = diagnosticInfos;
	}

}
